commit:     c2c531a30e96f11a1e50c4c2dd8bec9286a71e72
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 10 18:16:25 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 10 18:29:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2c531a3

app-misc/worker: bump to 4.6.1

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/worker/Manifest                 |  1 +
 app-misc/worker/worker-4.6.1-r100.ebuild | 63 ++++++++++++++++++++++++++++++++
 app-misc/worker/worker-4.6.1.ebuild      | 58 +++++++++++++++++++++++++++++
 3 files changed, 122 insertions(+)

diff --git a/app-misc/worker/Manifest b/app-misc/worker/Manifest
index aabc519b79f..09eba53dc89 100644
--- a/app-misc/worker/Manifest
+++ b/app-misc/worker/Manifest
@@ -1 +1,2 @@
 DIST worker-3.8.3.tar.bz2 1519483 BLAKE2B 
45573bed62256eda879a776f8a65af63a5c57f8c89784445faf264d2e09403faecdeb225d99ee50498df4c21a9cdf69a131c7d391a24eafe48c2319808b009dd
 SHA512 
fa5d078233a91ec603cd87718542cdd5d99ef89c5d2e72c84fe40c08778c5e9dde8e99a23ccfee5ef61e63535c809a48ccf71fe9a256fd7afa05f848c5045738
+DIST worker-4.6.1.tar.bz2 1615384 BLAKE2B 
a0d665f82d585d4e8a7e515e44b23541da24f6712c86bff422d4612ea67292c31cd204367965f8dd0ed91e69fa11453f7fc5a0228b2508d8397bde39460ff6f1
 SHA512 
f5977bc2c84c1eebb0058d63c7d10a0b39fa3c3bace09b6adac82f6a17bd9df8b1e2ba8138d764899895b69493493245cb6f7aff15014471a109a023fe203e57

diff --git a/app-misc/worker/worker-4.6.1-r100.ebuild 
b/app-misc/worker/worker-4.6.1-r100.ebuild
new file mode 100644
index 00000000000..1ef96e951ce
--- /dev/null
+++ b/app-misc/worker/worker-4.6.1-r100.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..2} )
+
+inherit autotools lua-single
+
+DESCRIPTION="Worker Filemanager: Amiga Directory Opus 4 clone"
+HOMEPAGE="http://www.boomerangsworld.de/cms/worker/";
+SRC_URI="http://www.boomerangsworld.de/cms/worker/downloads/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="avfs debug dbus examples libnotify lua +magic xinerama xft"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+RDEPEND="x11-libs/libX11
+       avfs? ( >=sys-fs/avfs-0.9.5 )
+       dbus? ( sys-apps/dbus )
+       lua? ( ${LUA_DEPS} )
+       magic? ( sys-apps/file )
+       xft? ( x11-libs/libXft )
+       xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog INSTALL NEWS README README_LARGEFILES THANKS )
+
+src_prepare() {
+       default
+
+       # Don't use /usr/share/appdata
+       sed -i -e "s:/appdata:/metainfo:" contrib/Makefile.am || die
+       eautoreconf
+}
+
+src_configure() {
+       # there is no ./configure flag to disable libXinerama support
+       export ac_cv_lib_Xinerama_XineramaQueryScreens=$(usex xinerama)
+       econf \
+               --without-hal \
+               --enable-utf8 \
+               $(use_with avfs) \
+               $(use_with dbus) \
+               $(use_enable debug) \
+               $(use_enable libnotify inotify) \
+               $(use_enable lua) \
+               $(use_with magic libmagic) \
+               $(use_enable xft)
+}
+
+src_install() {
+       default
+
+       if use examples; then
+               docinto examples
+               dodoc examples/config-*
+       fi
+}

diff --git a/app-misc/worker/worker-4.6.1.ebuild 
b/app-misc/worker/worker-4.6.1.ebuild
new file mode 100644
index 00000000000..a814985c975
--- /dev/null
+++ b/app-misc/worker/worker-4.6.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="Worker Filemanager: Amiga Directory Opus 4 clone"
+HOMEPAGE="http://www.boomerangsworld.de/cms/worker/";
+SRC_URI="http://www.boomerangsworld.de/cms/worker/downloads/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="avfs debug dbus examples libnotify lua +magic xinerama xft"
+
+RDEPEND="x11-libs/libX11
+       avfs? ( >=sys-fs/avfs-0.9.5 )
+       dbus? ( sys-apps/dbus )
+       lua? ( dev-lang/lua:0 )
+       magic? ( sys-apps/file )
+       xft? ( x11-libs/libXft )
+       xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS ChangeLog INSTALL NEWS README README_LARGEFILES THANKS )
+
+src_prepare() {
+       default
+
+       # Don't use /usr/share/appdata
+       sed -i -e "s:/appdata:/metainfo:" contrib/Makefile.am || die
+       eautoreconf
+}
+
+src_configure() {
+       # there is no ./configure flag to disable libXinerama support
+       export ac_cv_lib_Xinerama_XineramaQueryScreens=$(usex xinerama)
+       econf \
+               --without-hal \
+               --enable-utf8 \
+               $(use_with avfs) \
+               $(use_with dbus) \
+               $(use_enable debug) \
+               $(use_enable libnotify inotify) \
+               $(use_enable lua) \
+               $(use_with magic libmagic) \
+               $(use_enable xft)
+}
+
+src_install() {
+       default
+
+       if use examples; then
+               docinto examples
+               dodoc examples/config-*
+       fi
+}

Reply via email to